Page MenuHomePhabricator

Add bootstrap source files with components currently in use at Blueprint
Closed, ResolvedPublic

Description

In order to remove bootstrap from Blueprint, we need to add bootstrap source files with components currently in use at Blueprint and will also update to latest Bootstrap version 3.3.5 from 3.3.4 previously in use.

Related Objects

StatusAssignedTask
Resolved Spage
Resolved Spage
Resolved Spage
Resolvedori
DeclinedNone
ResolvedNone
DeclinedNone
ResolvedAnomie
DeclinedNone
OpenNone
OpenNone
Resolved Spage
DeclinedNone
Resolvedjeropbrenda
OpenNone
DeclinedQgil
Resolved Spage
ResolvedQgil
ResolvedQgil
ResolvedQgil
Resolved Spage
Resolved Spage
Resolved Spage
DeclinedNone
DeclinedNone
Resolved Spage
Resolved Spage
DeclinedNone
DeclinedNone
InvalidNone
Resolved violetto
DeclinedNone
DeclinedNone
DeclinedNone
DeclinedNone
ResolvedNone

Event Timeline

Volker_E created this task.Aug 1 2015, 3:58 PM
Volker_E raised the priority of this task from to High.
Volker_E updated the task description. (Show Details)
Volker_E added a project: Blueprint.
Volker_E updated the task description. (Show Details)
Volker_E set Security to None.

Change 226517 had a related patch set uploaded (by VolkerE):
Include bootstrap source files and update bootstrap to 3.3.5

https://gerrit.wikimedia.org/r/226517

Change 230410 had a related patch set uploaded (by Paladox):
Improvements to Blueprint skin

https://gerrit.wikimedia.org/r/230410

Change 226517 merged by VolkerE:
Include bootstrap source files and update bootstrap to 3.3.5

https://gerrit.wikimedia.org/r/226517

I think this can be closed now.

@Volker_E: Anything left to do here?

@Aklapper Yes, unfortunately. @Paladox has updated the files and we are now including the unminified Bootstrap CSS and JS files, but the CSS is a rendered Less file. A thing to criticize Bootstrap is, that by relying on getbootstrap service only, it's not possible to get to the original, modules Less files, so I have to look into and search for the corresponding ones in the Git repo which are source for our currently in-use, rendered CSS one.
Hope to get this done within the next days.

The resource loader minifys it on load. So there was no point in including a min file.

@Paladox agreed, you did the right thing. My statement was just that there's even more to do at this task.

Paladox added a comment.EditedSep 15 2015, 6:28 AM

But it shoulden really make it more of a task because all I did was change the min file to a full file and updated it to latest version.

Change 251803 had a related patch set uploaded (by VolkerE):
Include original Bootstrap source files

https://gerrit.wikimedia.org/r/251803

Change 251803 merged by jenkins-bot:
Include original Bootstrap source files

https://gerrit.wikimedia.org/r/251803

Volker_E closed this task as Resolved.Nov 8 2015, 10:19 AM
Volker_E moved this task from Needs Review / Feedback to Done on the Blueprint board.
Volker_E removed a project: Patch-For-Review.